# std::__future_base Struct Reference
[Futures]

Base class and enclosing scope. More...

Inheritance diagram for std::__future_base:
[legend]

## Classes

- struct _Ptr
    A unique_ptr based on the instantiating type. More...
- struct _Result
    Result. More...
- struct _Result< _Res & >
    Partial specialization for reference types. More...
- struct _Result< void >
    Explicit specialization for void. More...
- struct _Result_base
    Base class for results. More...
- class _State
    Shared state between a promise and one or more associated futures. More...

## Detailed Description

Base class and enclosing scope.

Definition at line 136 of file future.

The documentation for this struct was generated from the following file:

- future